# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsSubversion/SvnSwitchDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_SvnSwitchDialog(object):
    def setupUi(self, SvnSwitchDialog):
        SvnSwitchDialog.setObjectName("SvnSwitchDialog")
        SvnSwitchDialog.resize(391, 146)
        SvnSwitchDialog.setSizeGripEnabled(True)
        self.gridlayout = QtWidgets.QGridLayout(SvnSwitchDialog)
        self.gridlayout.setObjectName("gridlayout")
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=SvnSwitchDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridlayout.addWidget(self.buttonBox, 2, 0, 1, 2)
        self.TextLabel1 = QtWidgets.QLabel(parent=SvnSwitchDialog)
        self.TextLabel1.setObjectName("TextLabel1")
        self.gridlayout.addWidget(self.TextLabel1, 0, 0, 1, 1)
        self.tagCombo = QtWidgets.QComboBox(parent=SvnSwitchDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.tagCombo.sizePolicy().hasHeightForWidth())
        self.tagCombo.setSizePolicy(sizePolicy)
        self.tagCombo.setEditable(True)
        self.tagCombo.setDuplicatesEnabled(False)
        self.tagCombo.setObjectName("tagCombo")
        self.gridlayout.addWidget(self.tagCombo, 0, 1, 1, 1)
        self.TagTypeGroup = QtWidgets.QGroupBox(parent=SvnSwitchDialog)
        self.TagTypeGroup.setObjectName("TagTypeGroup")
        self.vboxlayout = QtWidgets.QVBoxLayout(self.TagTypeGroup)
        self.vboxlayout.setObjectName("vboxlayout")
        self.regularButton = QtWidgets.QRadioButton(parent=self.TagTypeGroup)
        self.regularButton.setChecked(True)
        self.regularButton.setObjectName("regularButton")
        self.vboxlayout.addWidget(self.regularButton)
        self.branchButton = QtWidgets.QRadioButton(parent=self.TagTypeGroup)
        self.branchButton.setObjectName("branchButton")
        self.vboxlayout.addWidget(self.branchButton)
        self.gridlayout.addWidget(self.TagTypeGroup, 1, 1, 1, 1)

        self.retranslateUi(SvnSwitchDialog)
        self.buttonBox.accepted.connect(SvnSwitchDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(SvnSwitchDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(SvnSwitchDialog)
        SvnSwitchDialog.setTabOrder(self.tagCombo, self.regularButton)
        SvnSwitchDialog.setTabOrder(self.regularButton, self.branchButton)

    def retranslateUi(self, SvnSwitchDialog):
        _translate = QtCore.QCoreApplication.translate
        SvnSwitchDialog.setWindowTitle(_translate("SvnSwitchDialog", "Subversion Switch"))
        self.TextLabel1.setText(_translate("SvnSwitchDialog", "Tag Name:"))
        self.tagCombo.setToolTip(_translate("SvnSwitchDialog", "Enter the name of the tag"))
        self.tagCombo.setWhatsThis(_translate("SvnSwitchDialog", "<b>Tag Name</b>\n"
"<p>Enter the name of the tag to be switched to.\n"
"In order to switch to the trunk version leave it empty.</p>"))
        self.TagTypeGroup.setTitle(_translate("SvnSwitchDialog", "Tag Type"))
        self.regularButton.setToolTip(_translate("SvnSwitchDialog", "Select for a regular tag"))
        self.regularButton.setWhatsThis(_translate("SvnSwitchDialog", "<b>Regular Tag</b>\n"
"<p>Select this entry for a regular tag.</p>"))
        self.regularButton.setText(_translate("SvnSwitchDialog", "Regular Tag"))
        self.branchButton.setToolTip(_translate("SvnSwitchDialog", "Select for a branch tag"))
        self.branchButton.setWhatsThis(_translate("SvnSwitchDialog", "<b>Branch Tag</b>\n"
"<p>Select this entry for a branch tag.</p>"))
        self.branchButton.setText(_translate("SvnSwitchDialog", "Branch Tag"))
